// CodeBreakerDoc.cpp : implementation of the CCodeBreakerDoc class
//

#include "stdafx.h"
#include "CodeBreaker.h"

#include "CodeBreakerDoc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CCodeBreakerDoc

IMPLEMENT_DYNCREATE(CCodeBreakerDoc, CDocument)

BEGIN_MESSAGE_MAP(CCodeBreakerDoc, CDocument)
END_MESSAGE_MAP()


// CCodeBreakerDoc construction/destruction

CCodeBreakerDoc::CCodeBreakerDoc()
{
	// TODO: add one-time construction code here

}

CCodeBreakerDoc::~CCodeBreakerDoc()
{
}

BOOL CCodeBreakerDoc::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;

	// TODO: add reinitialization code here
	// (SDI documents will reuse this document)

	return TRUE;
}




// CCodeBreakerDoc serialization

void CCodeBreakerDoc::Serialize(CArchive& ar)
{
	if (ar.IsStoring())
	{
		// TODO: add storing code here
	}
	else
	{
		// TODO: add loading code here
	}
}


// CCodeBreakerDoc diagnostics

#ifdef _DEBUG
void CCodeBreakerDoc::AssertValid() const
{
	CDocument::AssertValid();
}

void CCodeBreakerDoc::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG


// CCodeBreakerDoc commands
